# ----------------------------------------------------------------------------
# dump_url.rb : サイトデータのダンプ処理
# ----------------------------------------------------------------------------

require 'mysql'
require 'constant'
require 'suzaku_lib'
include Suzaku

# 設定ファイルによる初期設定
f = ARGV.shift
cf = Config.new(f)

# 設定ファイルによる初期設定
host          = cf.parm["host"]
userid        = cf.parm["userid"]
password      = cf.parm["password"]
database      = cf.parm["database"]

# データベースのオープン
db = Mysql::new(host, userid, password, database)
db.query("SET NAMES utf8")

# 登録サイトの検索(tree_level=1)
res2 = db.query("SELECT t1.url_id, t1.url, t2.category, t2.name_kanji, t2.name_kana, t2.mail_address, t2.comment, t2.access FROM url t1, information t2 WHERE t1.url_id=t2.url_id AND t1.tree_level=1 ORDER BY t2.category, t2.name_kana")
res2.each do |urlid, url, category, name_kanji, name_kana, mail_address, comment, access|
  print "#{url},#{category},#{name_kanji},#{name_kana},#{mail_address},#{comment},#{access}\n"
end
# データベースのクローズ
db.close  
